#ifndef OLED_DISPLAY_H
#define OLED_DISPLAY_H

#include <Arduino.h>
#include <Wire.h>
#include "api/Common.h"
#include <optional>

class OLED_Display {
public:
    OLED_Display(int SDA_Pin, int SCL_Pin, int Addr);
    void begin();
    void sendCommand(uint8_t command);
    void sendData(uint8_t data);
    void clearLine(int line);
    void writeChar(char c);
    void writeLine(const char* str, int page, int column);
private:
    int sda;
    int scl;
    TwoWire OLED;
    int Addr;
    static const unsigned char font[1280];
};

#endif
